const express = require('express');
const HistoryValueController = require('../controllers/history_value.controller');
const verifyToken = require('../middleware/verifyToken');
const verifyAccess = require('../middleware/verifyAccess');

const router = express.Router();

router.route('/alarm')
  .get(verifyToken.verifyAccessToken, HistoryValueController.getAllHistoryAlarm)
router.route('/event')
  .get(verifyToken.verifyAccessToken, HistoryValueController.getAllHistoryEvent)
router.route('/value-report')
  .get(verifyToken.verifyAccessToken, HistoryValueController.getHistoryValueReport)
router.route('/value-report-pivot')
  .get(verifyToken.verifyAccessToken, HistoryValueController.getHistoryValueReportPivot)
router.route('/value-trending')
  .get(verifyToken.verifyAccessToken, HistoryValueController.getHistoryValueTrendingPivot)

module.exports = router;
